禁用特定通知
目的
要禁用频道中指定事件的通知。
端点
- PATCH /actions/watch
请求详情
请求 URL
{api-domain}/crm/{version}/actions/watch
支持的模块
潜在客户,Account,联系人,交易,活动,任务,案例,会议,电话,解决方案,产品,Vendors,价格表,报价单,Sales Orders,采购Orders,Invoices,预约,重新安排的预约历史,服务和自定义
标题
授权: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52
范围
scope=ZohoCRM.notifications.{operation_type}
可能的操作类型
全部 - 完全访问通知数据
写入 - Edit通知详情
Update - Update通知详情
示例请求
Copiedhttps://www.zohoapis.com/crm/v6/actions/watch"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X PATCH
-d "@inputData.json"在请求中,"@inputData.json" 包含示例输入数据。
输入 JSON 键
- _delete_events boolean, mandatory
指定是否禁用特定通知。
- channel_idlong, mandatory
给定的值在通知URL主体中返回,以确保通知是针对特定频道的。
可能的值:频道ID。示例:1000000068001 - eventsJSONArray["{module_api_name}.{operation}", "{module_api_name}.{operation}"], mandatory
根据所选模块的特定操作进行订阅。
可能的值: JSON 格式的数组。示例: ["Leads.create","Sales_Orders.edit","Contacts.delete"]。可能的操作类型 - create, delete, edit, all - notify_on_related_action boolean, optional
当有任何关联记录的操作时,启用或禁用通知。默认值为 TRUE。
注意
- _delete_events 键 是禁用特定通知的必需项。如果输入中"_delete_events": false 或_delete_events 键未提供,即时通知将不会被禁用。
- channel_id 和 events 键也是必需项。
示例输入
Copied{
"watch": [
{
"channel_id": "10000",
"events": [
"Contacts.delete"
],
"_delete_events": true
}
]
}示例响应
Copied{
"watch": [
{
"code": "SUCCESS",
"details": {
"events": [
{
"resource_uri": "https://www.zohoapis.com/crm/v2/Contacts",
"resource_id": "554023000000000129",
"resource_name": "Contacts",
"channel_id": "10000"
}
]
},
"message": "Successfully removed the subscribe details",
"status": "success"
}
]
}